Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Interface Setable

public interface Setable
extends weblogic.common.internal.Lockable

Implement this interface to make WebLogic Workspace objects setable. Setable objects can be monitored using SetMonitor.

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.Object` | `newValue()` Returns the new value that will be stored as a result of an update.
`java.lang.Object` | `newValue(java.lang.Object value)` Sets a Setable object to a new value.
`java.lang.Object` | `oldValue()` Returns the old value that will be replaced as a result of an update.
`java.lang.Object` | `setValue(java.lang.Object value)` Sets a Setable object to the specified value.

Method Detail

### setValue

    public java.lang.Object setValue(java.lang.Object value)
                              throws MonitorException

  Sets a Setable object to the specified value. Monitored objects will have `preSet()` and `postSet()` called as part of this operation.

  Parameters:
    `value` - New value for a Setable object
  Returns:
    Object with new value
  Throws:
    MonitorException - if the value cannot be set

### newValue

    public java.lang.Object newValue(java.lang.Object value)
                              throws MonitorException

  Sets a Setable object to a new value. Monitored objects will have `preSet()` and `postSet()` called as part of this operation. A Master Monitor may override the new value in the `preSet()` method.

  Parameters:
    `value` - New value for a Setable object
  Throws:
    MonitorException - if the value is locked

### newValue

    public java.lang.Object newValue()

  Returns the new value that will be stored as a result of an update.

  Returns:
    Object with new value

### oldValue

    public java.lang.Object oldValue()

  Returns the old value that will be replaced as a result of an update.

  Returns:
    Object with old value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD